<?php
/**
 * @file
 * Theme implementation for displaying Wii Gamertags.
 *
 * Available variables:
 *  - $alt: The alternative image text to display
 *  - $gamertag: The users Nintendo Wii Gamertag
 *  - $mapwii: The boolean for whether to use (TRUE) mapwii.com or not
 *  - $url: The parsed gamertag URL
 *
 * @see gamertags_preprocess_gamertags_wii()
 */
?>
<div id="background-wii" name="gamertags_wii">
  <div id="gamertag-wii">
    <?php if ($mapwii): ?>
      <a href="<?php print $url; ?>"><?php print $gamertag; ?></a>
    <?php else: ?>
      <?php print $gamertag; ?>
    <?php endif; ?>
  </div>
</div>
