<?php
/**
 * @file
 * Theme implementation for displaying Playstation Network Gamertags.
 *
 * Available variables:
 *  - $alt: The alternative image text to display
 *  - $gamertag: The users Playstation Network gamertag
 *  - $region: The region the user is located in (only valid for Playstation)
 *  - $url: The parsed gamertag URL
 *
 * @see gamertags_preprocess_gamertags_psn()
 */
?>
<img src="<?php print $url; ?>" alt="<?php print $alt; ?>" title="<?php print $gamertag; ?>" name="gamertags_psn" />
